Bug 52360 - missing acx_pthread.m4 in devel package
Summary: missing acx_pthread.m4 in devel package
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autoconf   
(Show other bugs)
Version: 7.0
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-23 02:33 UTC by Gerd v. Egidy
Modified: 2007-03-27 03:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-21 08:52:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerd v. Egidy 2001-08-23 02:33:47 UTC
Description of Problem:

glibc-devel contains everything to create pthread-programs (there is no 
additional package needed). But the file 
/usr/share/aclocal/acx_pthread.m4 is missing. It is needed to make the 
ACX_PTHREAD macros available in the autoconf suite.

This causes errormessages when trying to configure programs using the 
autoconf-pthread checks - e.g. amavisd.

How Reproducible: every time

Steps to Reproduce:
1. download current amavis-cvs, branch amavisd (www.amavis.org)
2. ./configure

Actual Results:
./configure: line 2187: syntax error near unexpected token `ACX_PTHREAD('
./configure: line 2187: `  ACX_PTHREAD('

Additional Information:

you can get acx_pthread.m4 from:

http://www.gnu.org/software/ac-archive/Installed_Packages/acx_pthread.m4

Comment 1 Jakub Jelinek 2001-08-23 13:39:57 UTC
This has nothing to do with glibc, glibc comes with no .m4 macros and
I don't see why it should offer some.
Every application which uses some non-standard autoconf macros should
just include them IMHO. That also removes problems when packages expect
certain exact version of the macros. But perhaps it might be good idea to ship
autoconf-macros package with the http://www.gnu.org/software/ac-archive/
collection - Florian, what do you think about it?

Comment 2 Jens Petersen 2001-12-21 08:57:19 UTC
ac-archive-0.5.32-1 has been added.


Note You need to log in before you can comment on or make changes to this bug.